# Run tests in check section
%bcond_without check

# https://github.com/census-instrumentation/opencensus-proto
%global goipath         github.com/census-instrumentation/opencensus-proto
Version:                0.2.0

%global common_description %{expand:
Census provides a framework to define and collect stats against metrics and 
to break those stats down across user-defined dimensions.

The Census framework is natively available in many languages (e.g. C++, Go, 
and Java). The API interface types are defined using protos to ensure 
consistency and interoperability for the different implementations.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Language Independent Interface Types For OpenCensus
# Detected licences
# - *No copyright* Apache License (v2.0) at 'LICENSE'
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/golang/protobuf/proto)
BuildRequires: golang(github.com/golang/protobuf/ptypes/timestamp)
BuildRequires: golang(github.com/golang/protobuf/ptypes/wrappers)
BuildRequires: golang(github.com/grpc-ecosystem/grpc-gateway/runtime)
BuildRequires: golang(github.com/grpc-ecosystem/grpc-gateway/utilities)
BuildRequires: golang(golang.org/x/net/context)
BuildRequires: golang(google.golang.org/grpc)
BuildRequires: golang(google.golang.org/grpc/codes)
BuildRequires: golang(google.golang.org/grpc/grpclog)
BuildRequires: golang(google.golang.org/grpc/status)

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc AUTHORS README.md CONTRIBUTING.md RELEASING.md


%changelog
* Wed Mar 13 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.0-1
- Release 0.2.0 (#1688080)

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Nov 12 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.0-1
- First package for Fedora

